From fbf4cf8778b3afd4d4e7899a3a865633efa46ea0 Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Mon, 21 Sep 2020 17:55:35 +0800
Subject: [PATCH 1/2] conhost: Add missing LeaveCriticalSection.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 programs/conhost/conhost.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/programs/conhost/conhost.c b/programs/conhost/conhost.c
index 422a966eb2..7804e0086e 100644
--- a/programs/conhost/conhost.c
+++ b/programs/conhost/conhost.c
@@ -1607,6 +1607,7 @@ static DWORD WINAPI tty_input( void *param )
             switch (ch)
             {
             case 3: /* end of text */
+                LeaveCriticalSection( &console_section );
                 return 0;
             case '\n':
                 key_press( console, '\n', VK_RETURN, LEFT_CTRL_PRESSED );
-- 
2.20.1

